## org.eclipse.uml2.uml
Interface PackageImport

All Superinterfaces:
  DirectedRelationship, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Relationship

    public interface PackageImport

extends DirectedRelationship

A representation of the model object 'Package Import'. A package import is a relationship that allows the use of unqualified names to refer to package members from other namespaces.

The following features are supported:

- `Visibility`
- `Imported Package`
- `Importing Namespace`

See Also:
  `UMLPackage.getPackageImport()`

Method Summary
`Package` `getImportedPackage()` Returns the value of the 'Imported Package' reference
`Namespace` `getImportingNamespace()` Returns the value of the 'Importing Namespace' container reference.
`VisibilityKind` `getVisibility()` Returns the value of the 'Visibility' attribute.
`void` `setImportedPackage(Package value)` Sets the value of the '`Imported Package`' reference
`void` `setImportingNamespace(Namespace value)` Sets the value of the '`Importing Namespace`' container reference
`void` `setVisibility(VisibilityKind value)` Sets the value of the '`Visibility`' attribute
`boolean` `validatePublicOrPrivate(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The visibility of a PackageImport is either public or private.

Methods inherited from interface org.eclipse.uml2.uml.DirectedRelationship
`getSources, getTargets`

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVisibility

    VisibilityKind getVisibility()

  Returns the value of the 'Visibility' attribute. The default value is `"public"`. The literals are from the enumeration `VisibilityKind`. Specifies the visibility of the imported PackageableElements within the importing Namespace, i.e., whether imported elements will in turn be visible to other packages that use that importingPackage as an importedPackage. If the PackageImport is public, the imported elements will be visible outside the package, while if it is private they will not.

  Returns:
    the value of the 'Visibility' attribute.
  See Also:
    `VisibilityKind`, `setVisibility(VisibilityKind)`, `UMLPackage.getPackageImport_Visibility()`

### setVisibility

    void setVisibility(VisibilityKind value)

  Sets the value of the '`Visibility`' attribute.

  Parameters:
    `value` - the new value of the 'Visibility' attribute.
  See Also:
    `VisibilityKind`, `getVisibility()`

### getImportedPackage

    Package getImportedPackage()

  Returns the value of the 'Imported Package' reference. Specifies the Package whose members are imported into a Namespace.

  Returns:
    the value of the 'Imported Package' reference.
  See Also:
    `setImportedPackage(org.eclipse.uml2.uml.Package)`, `UMLPackage.getPackageImport_ImportedPackage()`

### setImportedPackage

    void setImportedPackage(Package value)

  Sets the value of the '`Imported Package`' reference.

  Parameters:
    `value` - the new value of the 'Imported Package' reference.
  See Also:
    `getImportedPackage()`

### getImportingNamespace

    Namespace getImportingNamespace()

  Returns the value of the 'Importing Namespace' container reference. It is bidirectional and its opposite is '`Package Import`'. Specifies the Namespace that imports the members from a Package.

  Returns:
    the value of the 'Importing Namespace' container reference.
  See Also:
    `setImportingNamespace(Namespace)`, `UMLPackage.getPackageImport_ImportingNamespace()`, `Namespace.getPackageImports()`

### setImportingNamespace

    void setImportingNamespace(Namespace value)

  Sets the value of the '`Importing Namespace`' container reference.

  Parameters:
    `value` - the new value of the 'Importing Namespace' container reference.
  See Also:
    `getImportingNamespace()`

### validatePublicOrPrivate

    boolean validatePublicOrPrivate(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  The visibility of a PackageImport is either public or private. self.visibility = #public or self.visibility = #private

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.